<?php # login.php
// Strona obsługuje logowanie się przy użyciu technologii Ajax!

// Plik konfiguracyjny zawsze musi pojawić się jako pierwszy:
require('../includes/config.inc.php');

// Rozpoczęcie sesji:
session_start();

// Sprawdź, czy wysłano formularz:
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	
	// Potrzebne jest połączenie z bazą danych:
	require (MYSQL);
	
	// Tablica przechowująca błędy:
	$errors = array();
	
	// Sprawdź poprawność nazwy użytkownika:
	if (isset($_POST['username']) && !empty($_POST['username'])) {
		$u = mysqli_real_escape_string ($dbc, $_POST['username']);
	} else {
		$errors[] = 'Zapomniałeś wpisać nazwę użytkownika!';
	}
	
	// Sprawdź przekazanie hasła:
	if (isset($_POST['userpass']) && !empty($_POST['userpass'])) {
		$p = mysqli_real_escape_string ($dbc, $_POST['userpass']);
	} else {
		$errors[] = 'Zapomniałeś wpisać hasło!';
	}
	
	if (empty($errors)) { // Nie ma błędów!
		
		// Zapytanie do bazy danych:
		$q = "SELECT userId, username, timezone FROM users WHERE (username='$u' AND userpass=SHA1('$p'))";		
		$r = mysqli_query ($dbc, $q) or trigger_error("Zapytanie: $q\n<br />Błąd MySQL: " . mysqli_error($dbc));
		
		if (@mysqli_num_rows($r) == 1) { // Znaleziono pasujący wiersz.
			
			// Zapamiętaj dane w sesji:
			$_SESSION = mysqli_fetch_array ($r, MYSQLI_ASSOC); 
			
			// Czyszczenie:
			mysqli_free_result($r);
			mysqli_close($dbc);
			
			// Zwróć status:
			echo 'OK';
			
			// Zakończ skrypt:
			exit(); 
			
		}

	} // Koniec warunku $errors.

	mysqli_close($dbc);
	
} // Koniec sprawdzenia wysłania formularza.

echo 'BŁĄD';